"use client";
import {ChevronDown, MousePointerClick, Undo2} from "lucide-react";
import {CiFileOn} from "react-icons/ci";

import {Logo} from "./logo";
import {Hint} from "@/components/hint";

import {Button} from "@/components/ui/button";
import {Separator} from "@/components/ui/separator";
import {
    DropdownMenu,
    DropdownMenuItem,
    DropdownMenuContent,
    DropdownMenuTrigger,
} from "@/components/ui/dropdown-menu";


export const Navbar = () => {
    return (
        <nav className="w-full flex items-center p-4 h-[68px] 
        gap-x-8 border-b lg:pl-[34px]">
            <Logo />
            <div className="w-full flex items-center gap-x-1 h-full">
                <DropdownMenu modal={false}>
                    <DropdownMenuTrigger asChild>
                        <Button size="sm" variant="ghost">
                            File
                            <ChevronDown className="size-4 ml-2" />
                        </Button>
                    </DropdownMenuTrigger>
                    <DropdownMenuContent align="start" className="min-w-60">
                        <DropdownMenuItem
                            onClick={() => {}} //TODO: Add functionality
                            className="flex items-center gap-x-2">
                            <CiFileOn className="size-8" />
                            <div>
                                <p>open</p>
                                <p className="test-xs text-muted-foreground">
                                    Open  a JSON file
                                </p>
                            </div>
                        </DropdownMenuItem>
                    </DropdownMenuContent>
                </DropdownMenu>
                <Separator orientation="vertical" className="mx-2"/>
                <Hint label="select" side="bottom" sideOffset={10}>
                    <Button
                        variant="ghost"
                        size="icon"
                        onClick={()=>{}} //TODO: Add functionality
                        className="" //TODO: Add dynamic class
                        >
                        <MousePointerClick className="size-4"/>
                    </Button>
                </Hint>
                <Hint label="Undo" side="bottom" sideOffset={10}>
                    <Button
                        variant="ghost"
                        size="icon"
                        onClick={()=>{}} //TODO: Add functionality
                        className="" //TODO: Add dynamic class
                        >
                        <Undo2 className="size-4"/>
                    </Button>
                </Hint>
            </div>
        </nav>
    );
};